package de.apps4ics.mountainnavigation.pois;

/**
 * This file is part of MountainNavigation.
 *
 * MountainNavigation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MountainNavigation is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MountainNavigation.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @copyright Copyright (c) 2016 Vinzenz Rosenkanz <vinzenz.rosenkranz@gmail.com>
 *
 * @author Vinzenz Rosenkranz <vinzenz.rosenkranz@gmail.com>
 */
public class Path extends Poi {
    long gp_e_id;
    long length;
    int exposed;
    int diffWet;
    int giddiness;
    int climbing;
    DbGeoPoint end;

    public Path(long _id) {
        super(_id, Types.PATH);
    }
    public Path() {
        super(Types.PATH);
    }
    public Path(long _id, long _length, int exposed, int diff_wet, int giddiness, int climbing, DbGeoPoint start, DbGeoPoint end){
        super(_id, Types.PATH, start);
        this.length = _length;
        this.exposed = exposed;
        this.diffWet = diff_wet;
        this.giddiness = giddiness;
        this.climbing = climbing;
        this.end = end;
        this.gp_e_id = end.getId();
    }

    public long getStartGpId() {
        return gpId;
    }

    public DbGeoPoint getStartGp(){
        return gp;
    }

    public long getEndGpId() {
        return gp_e_id;
    }


    public DbGeoPoint getEndGp(){
        return end;
    }

    public long getLength() {
        return length;
    }

    public int getExposed() {
        return exposed;
    }

    public int getDiffWet() {
        return diffWet;
    }

    public int getGiddiness() {
        return giddiness;
    }

    public int getClimbing() {
        return climbing;
    }
}